/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of consts which is released under MIT.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

export declare const http: {
    status_codes: {
        status_continue: number;
        status_switching_protocols: number;
        status_processing: number;
        status_early_hints: number;
        status_ok: number;
        status_created: number;
        status_accepted: number;
        status_non_authoritative: number;
        status_no_content: number;
        status_ok_no_content: number;
        status_reset_content: number;
        status_partial_content: number;
        status_multi_status: number;
        status_already_reported: number;
        status_im_used: number;
        status_multiple_choices: number;
        status_moved_permanently: number;
        status_found: number;
        status_see_other: number;
        status_not_modified: number;
        status_use_proxy: number;
        status_switch_proxy: number;
        status_temporary_redirect: number;
        status_permanent_redirect: number;
        status_bad_request: number;
        status_unauthorized: number;
        status_payment_required: number;
        status_forbidden: number;
        status_not_found: number;
        status_method_not_allowed: number;
        status_not_acceptable: number;
        status_proxy_authentication_required: number;
        status_request_timeout: number;
        status_conflict: number;
        status_gone: number;
        status_length_required: number;
        status_precondition_failed: number;
        status_payload_too_large: number;
        status_uri_too_long: number;
        status_unsupported_media_type: number;
        status_range_not_satisfiable: number;
        status_expectation_failed: number;
        status_im_a_teapot: number;
        status_misdirected_request: number;
        status_unprocessable_entity: number;
        status_locked: number;
        status_failed_dependency: number;
        status_too_early: number;
        status_upgrade_required: number;
        status_precondition_required: number;
        status_too_many_requests: number;
        status_request_header_fields_too_large: number;
        status_unavailable_for_legal_reasons: number;
        status_internal_server_error: number;
        status_not_implemented: number;
        status_bad_gateway: number;
        status_service_unavailable: number;
        status_gateway_timeout: number;
        status_http_version_not_supported: number;
        status_variant_also_negotiates: number;
        status_insufficient_storage: number;
        status_loop_detected: number;
        status_not_extended: number;
        status_network_authentication_required: number;
    };
    unofficial: {
        status_checkpoint: number;
        status_this_is_fine: number;
        status_page_expired: number;
        status_method_failure: number;
        status_enhance_your_calm: number;
        status_request_header_fields_too_large: number;
        status_blocked_by_windows_parental_controls: number;
        status_invalid_token: number;
        status_token_expired: number;
        status_bandwidth_limit_exceeded: number;
        status_invalid_ssl_certificate: number;
        status_site_is_overloaded: number;
        status_site_is_frozen: number;
        status_network_read_timeout_error: number;
    };
    iis: {
        status_login_timeout: number;
        status_retry_with: number;
        status_redirect: number;
    };
    nginx: {
        status_no_response: number;
        status_request_header_too_large: number;
        status_ssl_certificate_error: number;
        status_ssl_certificate_required: number;
        status_http_request_sent_to_https_port: number;
        status_client_closed_request: number;
    };
    cloudflare: {
        status_web_server_returned_unknown_error: number;
        status_web_server_is_down: number;
        status_connection_timed_out: number;
        status_origin_is_unreachable: number;
        status_a_timeout_occured: number;
        status_ssl_handshake_failed: number;
        status_invalid_ssl_certificate: number;
        status_railgun_error: number;
        status_530: number;
    };
    aws_loadbalance: {
        status_client_closed_connection: number;
        status_too_many_adresses: number;
    };
    status_continue: number;
    status_switching_protocols: number;
    status_processing: number;
    status_early_hints: number;
    status_ok: number;
    status_created: number;
    status_accepted: number;
    status_non_authoritative: number;
    status_no_content: number;
    status_ok_no_content: number;
    status_reset_content: number;
    status_partial_content: number;
    status_multi_status: number;
    status_already_reported: number;
    status_im_used: number;
    status_multiple_choices: number;
    status_moved_permanently: number;
    status_found: number;
    status_see_other: number;
    status_not_modified: number;
    status_use_proxy: number;
    status_switch_proxy: number;
    status_temporary_redirect: number;
    status_permanent_redirect: number;
    status_bad_request: number;
    status_unauthorized: number;
    status_payment_required: number;
    status_forbidden: number;
    status_not_found: number;
    status_method_not_allowed: number;
    status_not_acceptable: number;
    status_proxy_authentication_required: number;
    status_request_timeout: number;
    status_conflict: number;
    status_gone: number;
    status_length_required: number;
    status_precondition_failed: number;
    status_payload_too_large: number;
    status_uri_too_long: number;
    status_unsupported_media_type: number;
    status_range_not_satisfiable: number;
    status_expectation_failed: number;
    status_im_a_teapot: number;
    status_misdirected_request: number;
    status_unprocessable_entity: number;
    status_locked: number;
    status_failed_dependency: number;
    status_too_early: number;
    status_upgrade_required: number;
    status_precondition_required: number;
    status_too_many_requests: number;
    status_request_header_fields_too_large: number;
    status_unavailable_for_legal_reasons: number;
    status_internal_server_error: number;
    status_not_implemented: number;
    status_bad_gateway: number;
    status_service_unavailable: number;
    status_gateway_timeout: number;
    status_http_version_not_supported: number;
    status_variant_also_negotiates: number;
    status_insufficient_storage: number;
    status_loop_detected: number;
    status_not_extended: number;
    status_network_authentication_required: number;
};
